package com.steerinfo.inPlantNavigation.service;

import com.steerinfo.inPlantNavigation.exception.VertexAngEdgeException;
import com.steerinfo.inPlantNavigation.model.IPMMSVertex;
import com.steerinfo.inPlantNavigation.model.IPMMSVertexEdge;
import com.steerinfo.inPlantNavigation.model.MapVertex;
import com.steerinfo.inPlantNavigation.model.MapVertexEdge;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * MapVertex服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-04-27 06:36
 * 类描述
 * 修订历史：
 * 日期：2022-04-27
 * 作者：generator
 * 参考：
 * 描述：MapVertex服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMapVertexService {
    //导入数据
    int importVertex(String filePath) throws IOException;
    //查询所有点
    List<MapVertex> findAllAvailable();
    //初始化顶点
    Map<String, MapVertex> initMapVertex();
    //获取最短路径
    ArrayList<MapVertex> getObtainTheOptimalPath(String startpoint, String endPoint, Map<String, List<MapVertexEdge>> vertexEdgeList, Map<String, MapVertex> vertexList) throws VertexAngEdgeException;
}